Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Structures | Macros | Typedefs | Enumerations | Functions
Context.h File Reference
`#include <assert.h>`
`#include <string.h>`

Go to the source code of this file.

## Data Structures
struct | coroutine_context

## Macros
#define | COROUTINE __attribute__((noreturn)) void

## Typedefs
typedef COROUTINE(* | coroutine_start) (struct coroutine_context *from, struct coroutine_context *self)

## Enumerations
enum | { COROUTINE_REGISTERS }

## Functions
struct coroutine_context * | coroutine_transfer (struct coroutine_context *current, struct coroutine_context *target)

## Macro Definition Documentation

## ◆ COROUTINE

#define COROUTINE __attribute__((noreturn)) void

Definition at line 6 of file Context.h.

## Typedef Documentation

## ◆ coroutine_start

typedef COROUTINE(* coroutine_start) (struct coroutine_context *from, struct coroutine_context *self)

Definition at line 19 of file Context.h.

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
COROUTINE_REGISTERS |

Definition at line 8 of file Context.h.

## Function Documentation

## ◆ coroutine_transfer()

struct coroutine_context* coroutine_transfer | ( | struct coroutine_context * | current,
|  | struct coroutine_context * | target
| ) |  |

Definition at line 115 of file Context.c.